curl --request PATCH \
--url https://api.smokeball.com/matters/{matterId}/layouts/{itemId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"itemId": "59791902-6280-471b-bd18-f8439ba3042f",
"layoutDesignId": "414ab774-adce-4659-b18c-82d1b0e826a0",
"index": 0,
"parentItemId": "59791902-6280-471b-bd18-f8439ba3042f",
"parentId": "Client",
"parentIndex": 0,
"name": "Item",
"description": "Text describing item",
"values": [
{
"key": "<string>",
"value": "<string>",
"state": "<unknown>"
}
],
"events": [
{
"id": "<string>",
"appointmentId": "<string>"
}
],
"isRemoved": false
}
'import requests
url = "https://api.smokeball.com/matters/{matterId}/layouts/{itemId}"
payload = {
"itemId": "59791902-6280-471b-bd18-f8439ba3042f",
"layoutDesignId": "414ab774-adce-4659-b18c-82d1b0e826a0",
"index": 0,
"parentItemId": "59791902-6280-471b-bd18-f8439ba3042f",
"parentId": "Client",
"parentIndex": 0,
"name": "Item",
"description": "Text describing item",
"values": [
{
"key": "<string>",
"value": "<string>",
"state": "<unknown>"
}
],
"events": [
{
"id": "<string>",
"appointmentId": "<string>"
}
],
"isRemoved": False
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
itemId: '59791902-6280-471b-bd18-f8439ba3042f',
layoutDesignId: '414ab774-adce-4659-b18c-82d1b0e826a0',
index: 0,
parentItemId: '59791902-6280-471b-bd18-f8439ba3042f',
parentId: 'Client',
parentIndex: 0,
name: 'Item',
description: 'Text describing item',
values: [{key: '<string>', value: '<string>', state: '<unknown>'}],
events: [{id: '<string>', appointmentId: '<string>'}],
isRemoved: false
})
};
fetch('https://api.smokeball.com/matters/{matterId}/layouts/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Merge a layout
Merges layout data.
Query Parameters
Used to skip the field validation, may be needed for Smokeball data split migrations
Body
Data to merge into the existing layout
Unique identifier for the matter list item.
"59791902-6280-471b-bd18-f8439ba3042f"
Identifier of the layout design.
"414ab774-adce-4659-b18c-82d1b0e826a0"
Zero-based index of the layout item.
0
Unique identifier for the parent matter list item.
"59791902-6280-471b-bd18-f8439ba3042f"
Identifier of the parent matter list item specific to the provider.
"Client"
Zero-based index of the parent matter list item.
0
Name of the layout item.
"Item"
Brief description of the layout item.
"Text describing item"
List of layout values.
Show child attributes
Show child attributes
List of layout events.
Show child attributes
Show child attributes
Boolean flag indicating if the layout item is to be removed.
false